Scans Reports
Access body composition and health reports for user scans.
accept: application/json;v=1
authorization: Bearer {{API_KEY}}
content-type: application/jsonThe unique ID of the scan.
unique-scan-idThe unit system in which values will be returned.
GET /scans/{scanId}/measurements HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"neckFit": 1,
"shoulderFit": 1,
"upperChestFit": 1,
"chestFit": 1,
"lowerChestFit": 1,
"waistFit": 1,
"waistNavyFit": 1,
"stomachFit": 1,
"hipsFit": 1,
"upperThighLeftFit": 1,
"upperThighRightFit": 1,
"thighLeftFit": 1,
"thighRightFit": 1,
"lowerThighLeftFit": 1,
"lowerThighRightFit": 1,
"calfLeftFit": 1,
"calfRightFit": 1,
"ankleLeftFit": 1,
"ankleRightFit": 1,
"midArmRightFit": 1,
"midArmLeftFit": 1,
"lowerArmRightFit": 1,
"lowerArmLeftFit": 1,
"waistToHipRatio": 1,
"forearmLeftFit": 1,
"forearmRightFit": 1,
"wristLeftFit": 1,
"wristRightFit": 1,
"bmiPredicted": 1,
"bmiConfidence": 1,
"bodyRoundnessIndex": 1,
"fullBodyVolume": 1
}The unique ID of the scan.
unique-scan-idThe unit system in which values will be returned.
Bodyfat method for the scan
cocoPossible values: Bodyfat percentage
20Lean mass percentage
80fat mass in kg
16lean mass in kg
64visceral adipose tissue (VAT) in %
1.5visceral adipose tissue (VAT) in kg
1.2appendicular lean mass (ALM) in %
20appendicular lean mass (ALM) in kg
16skeletal muscle mass (SMM) in %
20skeletal muscle mass (SMM) in kg
16GET /scans/{scanId}/bodyfat HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"bodyfatMethod": "coco",
"bodyfatPercentage": 20,
"leanMassPercentage": 80,
"fatMass": 16,
"leanMass": 64,
"vatPercentage": 1.5,
"vatMass": 1.2,
"appendicularLeanMassPercentage": 20,
"appendicularLeanMass": 16,
"skeletalMuscleMassPercentage": 20,
"skeletalMuscleMass": 16
}The unique ID of the scan.
unique-scan-idThe unit system in which values will be returned.
A new bodyfat method to to use for the scan
cocoPossible values: Bodyfat method for the scan
cocoPossible values: Bodyfat percentage
20Lean mass percentage
80fat mass in kg
16lean mass in kg
64visceral adipose tissue (VAT) in %
1.5visceral adipose tissue (VAT) in kg
1.2appendicular lean mass (ALM) in %
20appendicular lean mass (ALM) in kg
16skeletal muscle mass (SMM) in %
20skeletal muscle mass (SMM) in kg
16PATCH /scans/{scanId}/bodyfat HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"bodyfatMethod": "coco"
}{
"bodyfatMethod": "coco",
"bodyfatPercentage": 20,
"leanMassPercentage": 80,
"fatMass": 16,
"leanMass": 64,
"vatPercentage": 1.5,
"vatMass": 1.2,
"appendicularLeanMassPercentage": 20,
"appendicularLeanMass": 16,
"skeletalMuscleMassPercentage": 20,
"skeletalMuscleMass": 16
}The unique ID of the scan.
unique-scan-idThe unit system in which values will be returned.
GET /scans/{scanId}/health-report HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"scan": {},
"user": {},
"bodyFatPercentageReport": {},
"leanMassReport": {},
"fatMassReport": {},
"waistCircumferenceReport": {},
"waistToHipRatioReport": {},
"waistToHeightRatioReport": {},
"metabolismReport": {},
"metabolicAgeReport": {},
"appendicularLeanMassReport": {},
"skeletalMuscleMassReport": {}
}Last updated
